Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.context.annotation
[Java] Class ClosureClassIgnoringComponentScanBeanDefinitionParser

    java.lang.Object
      org.springframework.context.annotation.ComponentScanBeanDefinitionParser
          org.codehaus.groovy.grails.context.annotation.ClosureClassIgnoringComponentScanBeanDefinitionParser

    public class ClosureClassIgnoringComponentScanBeanDefinitionParser
    extends ComponentScanBeanDefinitionParser

Extends Spring's default <context:component-scan/> element to ignore Groovy's generated closure classes.

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  1.2

Method Summary
`protected ClassPathBeanDefinitionScanner` | `configureScanner(ParserContext parserContext, org.w3c.dom.Element element)`
`protected ClassPathBeanDefinitionScanner` | `createScanner(XmlReaderContext readerContext, boolean useDefaultFilters)`

Method Detail

### configureScanner

    @Override
    protected ClassPathBeanDefinitionScanner configureScanner(ParserContext parserContext, org.w3c.dom.Element element)

### createScanner

    @Override
    protected ClassPathBeanDefinitionScanner createScanner(XmlReaderContext readerContext, boolean useDefaultFilters)

Groovy Documentation